This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author christoph
Recipients christoph
Date 2008-03-30.23:13:51
SpamBayes Score 0.0061651
Marked as misclassified No
Message-id <1206918832.8.0.542354120577.issue2517@psf.upfronthosting.co.za>
In-reply-to
Content
Python seems to have problems when an exception is thrown that 
contains non-ASCII text as a message and is converted to a string.

>>> try:
...     raise Exception(u'Error when printing ü')
... except Exception, e:
...     print e
...
Traceback (most recent call last):
  File "", line 4, in ?
UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in 
position 20:
ordinal not in range(128)

See 
http://www.stud.uni-karlsruhe.de/~uyhc/de/content/python-and-exceptions-containing-unicode-messages
History
Date User Action Args
2008-03-30 23:13:53christophsetspambayes_score: 0.0061651 -> 0.0061651
recipients: + christoph
2008-03-30 23:13:52christophsetspambayes_score: 0.0061651 -> 0.0061651
messageid: <1206918832.8.0.542354120577.issue2517@psf.upfronthosting.co.za>
2008-03-30 23:13:51christophlinkissue2517 messages
2008-03-30 23:13:51christophcreate